Debian Bug report logs - #634244
luajit: please add support for armhf

version graph

Package: luajit; Maintainer for luajit is Enrico Tassi <gareuselesinge@debian.org>; Source for luajit is src:luajit.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Mon, 18 Jul 2011 05:57:02 UTC

Severity: important

Tags: patch, wontfix

Found in version luajit/2.0.0~beta8+dfsg-2

Fixed in version luajit/2.0.0~rc1+dfsg-1

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#634244; Package luajit. (Mon, 18 Jul 2011 05:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Mon, 18 Jul 2011 05:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: luajit: please add support for armhf
Date: Mon, 18 Jul 2011 08:52:59 +0300
[Message part 1 (text/plain, inline)]
Package: luajit
Version: 2.0.0~beta8+dfsg-2
Severity: important
Tags: patch

Please add support for armhf, the package builds fine -but to be honest, I haven't tested if it actually works. 

Also, armel was left out for the -dev package, added that as well.

Please consider applying the patch.

Regards

Konstantinos
[luajit_armhf.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#634244; Package luajit. (Tue, 19 Jul 2011 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Tue, 19 Jul 2011 19:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 634244@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 634244@bugs.debian.org
Subject: Re: Bug#634244: luajit: please add support for armhf
Date: Tue, 19 Jul 2011 21:36:22 +0200
On Mon, Jul 18, 2011 at 08:52:59AM +0300, Konstantinos Margaritis wrote:
> Package: luajit
> Version: 2.0.0~beta8+dfsg-2
> Severity: important
> Tags: patch
> 
> Please add support for armhf, the package builds fine -but to be
> honest, I haven't tested if it actually works. 

So what?! Do it please ;-)

   luajit -e 'for i=1,1000 do x = x + 1 end'

I frankly don't know what changes between the two ports, and if it makes
any difference for the jitter.

> Also, armel was left out for the -dev package, added that as well.

This is a bug I'll fix.

Cheers
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#634244; Package luajit. (Wed, 20 Jul 2011 17:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Wed, 20 Jul 2011 17:33:12 GMT) Full text and rfc822 format available.

Message #15 received at 634244@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 634244@bugs.debian.org
Subject: [cf. Bug #634244]
Date: Wed, 20 Jul 2011 19:32:12 +0200
I'm attaching an excerpt of a personal communication from the author of
luajit telling me that luajit does not work on armhf (unless someone
sponsors the porting I guess).

----- Forwarded message from Mike Pall <mikelu-1107@mike.de> -----

Date: Wed, 20 Jul 2011 18:52:34 +0200
From: Mike Pall
To: Enrico Tassi <gareuselesinge@debian.org>
Subject: cf. Bug #634244

FYI: ARM hard-float ABI is not supported. Not going to happen
anytime soon.

--Mike

----- End forwarded message -----

-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#634244; Package luajit. (Thu, 21 Jul 2011 04:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Thu, 21 Jul 2011 04:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 634244@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Enrico Tassi <gareuselesinge@debian.org>
Cc: 634244@bugs.debian.org
Subject: Re: Bug#634244: luajit: please add support for armhf
Date: Thu, 21 Jul 2011 07:40:32 +0300
On 19 July 2011 22:36, Enrico Tassi <gareuselesinge@debian.org> wrote:
> On Mon, Jul 18, 2011 at 08:52:59AM +0300, Konstantinos Margaritis wrote:
>> Package: luajit
>> Version: 2.0.0~beta8+dfsg-2
>> Severity: important
>> Tags: patch
>>
>> Please add support for armhf, the package builds fine -but to be
>> honest, I haven't tested if it actually works.
>
> So what?! Do it please ;-)
>
>   luajit -e 'for i=1,1000 do x = x + 1 end'

#   luajit-2.0.0-beta8 -e 'for i=1,1000 do x = x + 1
end'luajit-2.0.0-beta8: (command line):1: attempt to perform
arithmetic on global 'x' (a nil value)
stack traceback:
	(command line):1: in main chunk
	[C]: ?

I guess it doesn't work after all :(

Any suggestions?

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#634244; Package luajit. (Thu, 21 Jul 2011 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Thu, 21 Jul 2011 07:51:08 GMT) Full text and rfc822 format available.

Message #25 received at 634244@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 634244@bugs.debian.org
Subject: Re: Bug#634244: luajit: please add support for armhf
Date: Thu, 21 Jul 2011 09:46:46 +0200
On Thu, Jul 21, 2011 at 07:40:32AM +0300, Konstantinos Margaritis wrote:
> >   luajit -e 'for i=1,1000 do x = x + 1 end'
> I guess it doesn't work after all :(

Well, this is just that I forgot to add 'x = 0.3;' at the beginning
of the snippet. But the author said it does not, so it does not ;-)

Cheers
-- 
Enrico Tassi




Added tag(s) wontfix. Request was from Enrico Tassi <gareuselesinge@debian.org> to control@bugs.debian.org. (Sun, 14 Aug 2011 15:54:03 GMT) Full text and rfc822 format available.

Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. (Sat, 03 Nov 2012 13:21:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sat, 03 Nov 2012 13:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 634244-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 634244-close@bugs.debian.org
Subject: Bug#634244: fixed in luajit 2.0.0~rc1+dfsg-1
Date: Sat, 03 Nov 2012 13:17:31 +0000
Source: luajit
Source-Version: 2.0.0~rc1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
luajit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634244@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated luajit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Apr 2012 22:55:02 +0200
Source: luajit
Binary: luajit libluajit-5.1-common libluajit-5.1-2 libluajit-5.1-dev
Architecture: source amd64 all
Version: 2.0.0~rc1+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 libluajit-5.1-2 - Just in time compiler for Lua - library version
 libluajit-5.1-common - Just in time compiler for Lua - common files
 libluajit-5.1-dev - Just in time compiler for Lua - development files
 luajit     - Just in time compiler for Lua programming language version 5.1
Closes: 634244 691657
Changes: 
 luajit (2.0.0~rc1+dfsg-1) experimental; urgency=low
 .
   * New upstream release adding support for mips, mipsel, powerpcspe and armhf
     (Closes: #634244)
   * libluajit-5.1-common made Multi-Arch: foreign (Closes: #691657)
Checksums-Sha1: 
 20c488f943ccd7ed387e0b1fdf55a3e2ea468e36 1520 luajit_2.0.0~rc1+dfsg-1.dsc
 8ee71798ad6a643a2889dd89a08ef18d4a9db8c7 792735 luajit_2.0.0~rc1+dfsg.orig.tar.gz
 278b868172ecbf07fc3bb8b3af8161770be1261f 5753 luajit_2.0.0~rc1+dfsg-1.debian.tar.gz
 5ee61a2ddf6f060b0f59d6cc7584e1560e07cf1b 234490 luajit_2.0.0~rc1+dfsg-1_amd64.deb
 9ef75728bbebf78d22996f4a8ab46f27798fe54c 41882 libluajit-5.1-common_2.0.0~rc1+dfsg-1_all.deb
 cd1c7c59e4b632d1bf86e61dc1a6469fcc9abe14 234654 libluajit-5.1-2_2.0.0~rc1+dfsg-1_amd64.deb
 584e1386acf8377799261675756c619f5c99cde7 258832 libluajit-5.1-dev_2.0.0~rc1+dfsg-1_amd64.deb
Checksums-Sha256: 
 5802b8d2b31deb65c4291a79ee0573460771c1a62869d076868fbff5cc5de10e 1520 luajit_2.0.0~rc1+dfsg-1.dsc
 cdb56e95534f38e6661ca655565ecbe45b8e8496cefd324062e1aef225345c06 792735 luajit_2.0.0~rc1+dfsg.orig.tar.gz
 9b24abe05dad4f128edfa7cae583ebe5e94941f9b2230409691fd6e2519a0590 5753 luajit_2.0.0~rc1+dfsg-1.debian.tar.gz
 330ee10413cc84447b95b5f8b7de5cfc0cae5aa757b69c68bae328c4b10aaadd 234490 luajit_2.0.0~rc1+dfsg-1_amd64.deb
 d4d1b53cfe8e998acc3878953cd964df43f997adc9d3ccddae59455222e6ed77 41882 libluajit-5.1-common_2.0.0~rc1+dfsg-1_all.deb
 344af4876c60e07fe2ce45ac9d964494162cbe4ea43fd00da4812e5479a78743 234654 libluajit-5.1-2_2.0.0~rc1+dfsg-1_amd64.deb
 57e958f08e2242998c9748252e8ee247dc15c670879da7e433abacd9b9a63d27 258832 libluajit-5.1-dev_2.0.0~rc1+dfsg-1_amd64.deb
Files: 
 757a5e56f8df13c744ebc1f38b19a2c0 1520 interpreters optional luajit_2.0.0~rc1+dfsg-1.dsc
 6592b8031e59d33b9d2353ba1cfcea9d 792735 interpreters optional luajit_2.0.0~rc1+dfsg.orig.tar.gz
 8fb69ef0ce43d018aa3c406d26d8e05c 5753 interpreters optional luajit_2.0.0~rc1+dfsg-1.debian.tar.gz
 97f29bf7e1d9d0066b5f8a5f6c96c4b0 234490 interpreters optional luajit_2.0.0~rc1+dfsg-1_amd64.deb
 7eb4d3fb3c66ca64a64c3b2cb29c0db2 41882 interpreters optional libluajit-5.1-common_2.0.0~rc1+dfsg-1_all.deb
 4540b8dd8bb4c74c58acc118e9bd312d 234654 interpreters optional libluajit-5.1-2_2.0.0~rc1+dfsg-1_amd64.deb
 d5e8c5782cd83dcc531ac636cecfde68 258832 libdevel optional libluajit-5.1-dev_2.0.0~rc1+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCVF0EACgkQ7kkcPgEj8vIWPgCgnvRncAvy/sZsZTNlvakqGwtL
OuwAoKYp33NuSijzk/Cd+/fSBYujHY+K
=C03b
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:31:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.